> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Phone Numbers To Blacklist

> Adds one or more phone numbers to the account blacklist.



## OpenAPI

````yaml post /v2/Account/Blacklist
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Account/Blacklist:
    post:
      tags:
        - Account
      summary: Add Phone Numbers To Blacklist
      description: Adds one or more phone numbers to the account blacklist.
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AddRemoveNumbersToBlacklistRequest'
              description: "Request to add or remove phone numbers or prefixes from the blacklist.\r\n            \r\nPhoneNumbers:\r\n- Can contain full phone numbers (e.g. +1234567890).\r\n- Can also contain prefixes to block a range of numbers (e.g. +41 for Switzerland or +41837 for a specific range).\r\n- Maximum length per entry: 25 characters.\r\n- Duplicates in the list are not allowed."
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AddRemoveNumbersToBlacklistRequest'
              description: "Request to add or remove phone numbers or prefixes from the blacklist.\r\n            \r\nPhoneNumbers:\r\n- Can contain full phone numbers (e.g. +1234567890).\r\n- Can also contain prefixes to block a range of numbers (e.g. +41 for Switzerland or +41837 for a specific range).\r\n- Maximum length per entry: 25 characters.\r\n- Duplicates in the list are not allowed."
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/AddRemoveNumbersToBlacklistRequest'
              description: "Request to add or remove phone numbers or prefixes from the blacklist.\r\n            \r\nPhoneNumbers:\r\n- Can contain full phone numbers (e.g. +1234567890).\r\n- Can also contain prefixes to block a range of numbers (e.g. +41 for Switzerland or +41837 for a specific range).\r\n- Maximum length per entry: 25 characters.\r\n- Duplicates in the list are not allowed."
      responses:
        '200':
          description: The result of the add operation.
          content:
            text/plain:
              schema:
                type: boolean
            application/json:
              schema:
                type: boolean
            text/json:
              schema:
                type: boolean
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    AddRemoveNumbersToBlacklistRequest:
      type: object
      properties:
        phoneNumbers:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
      description: "Request to add or remove phone numbers or prefixes from the blacklist.\r\n            \r\nPhoneNumbers:\r\n- Can contain full phone numbers (e.g. +1234567890).\r\n- Can also contain prefixes to block a range of numbers (e.g. +41 for Switzerland or +41837 for a specific range).\r\n- Maximum length per entry: 25 characters.\r\n- Duplicates in the list are not allowed."
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````